
Redmine - Defect #14496

Permission check on an unused custom field leads to unwanted restriction for the ticket status

2013-07-19 10:57 - Jürgen Diez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.0

Description

We have several project with different custom fields.

For these custom fields we defined rules where it is required for a certain status.

However for some projects these custom fields are completely irrelevant and therefore deactivated in the project configuration. Now

these field are not available in these project.

The problem is that we can't set the status of the ticket now, because the field is not available in that project but required in the

projects where it is used.

The permissions for custom field should be changed to be checked only if a custom field is selected in a project.

History

#1 - 2013-07-28 23:09 - Jean-Philippe Lang

- Status changed from New to Needs feedback

I can't reproduce with current trunk.

The problem is that we can't set the status of the ticket now

 Could you describe what happends exactly?

#2 - 2013-08-20 10:03 - Jürgen Diez

Hmm... I can't reproduce it either.

I guess it was a mistake in my configuration.

I think you can close this ticket.

#3 - 2013-08-20 10:11 - Etienne Massip

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

http://www.tcpdf.org

